# Uses of Interface
org.eclipse.compare.ICompareInputLabelProvider

Packages that use ICompareInputLabelProvider
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.

## Uses of ICompareInputLabelProvider in org.eclipse.compare

Methods in org.eclipse.compare that return ICompareInputLabelProvider
Modifier and Type
Method
Description
`ICompareInputLabelProvider`
CompareConfiguration.`getLabelProvider()`
Return the label provider that is used to determine the text and labels return by this compare configuration.
Methods in org.eclipse.compare with parameters of type ICompareInputLabelProvider
Modifier and Type
Method
Description
`void`
CompareConfiguration.`setDefaultLabelProvider(ICompareInputLabelProvider labelProvider)`
Set the default label provider for this configuration.
`void`
CompareConfiguration.`setLabelProvider(ICompareInput input, ICompareInputLabelProvider labelProvider)`
Set the label provider for the given compare input.